Subject: Re: IPC::Run accepts bug reports

From: Robert Haas <[email-masked]>
Date: Mon, 17 Jun 2024 13:56:46 -0400

On Sat, Jun 15, 2024 at 7:48 PM Noah Misch <[email-masked]> wrote:
> Separating this from the pytest thread:
>
> On Sat, Jun 15, 2024 at 01:26:57PM -0400, Robert Haas wrote:
> > The one
> > thing I know about that *I* think is a pretty big problem about Perl
> > is that IPC::Run is not really maintained.
>
> I don't see in https://github.com/cpan-authors/IPC-Run/issues anything
> affecting PostgreSQL.  If you know of IPC::Run defects, please report them.
> If I knew of an IPC::Run defect affecting PostgreSQL, I likely would work on
> it before absurdity like https://github.com/cpan-authors/IPC-Run/issues/175
> NetBSD-10-specific behavior coping.

I'm not concerned about any specific open issue; my concern is about
the health of that project. https://metacpan.org/pod/IPC::Run says
that this module is seeking new maintainers, and it looks like the
people listed as current maintainers are mostly inactive. Instead,
you're fixing stuff. That's great, but we ideally want PostgreSQL's
dependencies to be things that are used widely enough that we don't
end up maintaining them ourselves.

I apologize if my comment came across as disparaging your efforts;
that was not my intent.

-- 
Robert Haas
EDB: http://www.enterprisedb.com

---

From: Noah Misch <[email-masked]>
Date: Tue, 25 Jun 2024 16:06:28 -0700

> end up maintaining them ourselves.

That's reasonable to want.

> I apologize if my comment came across as disparaging your efforts;

It did not come across as disparaging.